新手问题 rails 框架装不上

xuelance · 2020年05月25日 · 最后由 xuelance 回复于 2020年05月26日 · 1562 次阅读

ruby 已经装好了,装 rails 时 我输入

gem install rails -v 5.0.0

就出现

RROR:  Loading command: install (LoadError)
    cannot load such file -- openssl
ERROR:  While executing gem ... (NoMethodError)
    undefined method `invoke_with_build_args' for nil:NilClass

请教该如何解决? ruby 安装版本是 2.3.1 我的电脑是 macOs 10.15.4

10.15 自带 Ruby 2.6,你用 RVM 或者 RBENV 装 2.6.6 吧

jasl 回复

抱歉,與主題無關。 macos 10.15 不耗電嗎?

charlie_hsieh 回复

不耗电啊

没说 Ruby 是怎么装的无法指出解决方案。

系统 Ruby 作为系统组件最好不要动,用 homebrew 安装 Ruby 作为开发用,可以同时处理一些依赖问题。

jasl 回复

可能,我是 macbook pro 2015 所以感覺會耗電。

charlie_hsieh 回复

如果没装烂七八糟常驻的程序的话,很可能是电池老化,这个很正常,可以自己搜一下怎么看电池健康度,如果过低花钱换(在保的话,低于 85% 是免费更换的)

谢啦各位,这个问题已经解决了。我从新装了一遍 rvm 解决了

xuelance 关闭了讨论 05月26日 10:30
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册